module.exports = (links, tags) => 
`
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>My Journal</title>
  <link href="styles.css" rel="stylesheet">
  <link rel="alternate" type="application/atom+xml" title="Feed for My Journal" href="feed.xml">
  <meta name="viewport" content="width=device-width,initial-scale=1">
</head>
<body>
  <h1 class="title">My Journal</h1>
  <section class="blurb">
    <p>Excerpts from my Day One journal. These were never intended for public consumption so might be crap (but are clean, safe, etc). This is mostly an experiment in publishing something with my own tools.</p>
  </section>
  <div class="index-content">
  <section class="entries-section">
  <h2>Entries</h2>
  <ul class="entries">
    ${links.map(({relativeUrl, title, date}) => `    <li class="entry"><a class="link" href="${relativeUrl}">${title}</a><div class="date">${date}</div></li>`).join('\n')}
  </ul>
  </section>
  <section class="tags-section">
  <h2>Tags</h2>
  <ul class="tags">
    ${tags.map(tag => `    <li class="tag"><a class="link" href="tags/${tag}/">${tag}</a></li>`).join('\n')}
  </ul>
  </section>
  </div>
  <div class="footer">
    <a class="feed-link" href="feed.xml">Atom feed</a>
  </div>
</body>
`
