module.exports = (title, content, data) => {
let page = `
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>${title}</title>
  <link href="../styles.css" rel="stylesheet">
  <link rel="alternate" type="application/atom+xml" title="Feed for My Journal" href="../feed.xml">
  <meta name="viewport" content="width=device-width,initial-scale=1">
</head>
<body>
  <ul class="nav">
  <li><a class="home" href="..">Journal Home</a></li>` 

if (data.prev) {
  page += `<li><a class="prev" href="${data.prev}">Previous</a></li>`
}

if (data.next) {
  page += `<li><a class="next" href="${data.next}">Next</a></li>`
}

page += `
  </ul>
  <div class="heading">
    <h1 class="title">${title}</h1>
    <ul class="tags">
      ${data.tags.map(tag => `<li><a href="../tags/${tag}/">${tag}</a></li>`).join('')}
    </ul>
    <div class="metadata">
      <div class="date">${data.date}</div>
      <div class="location">${data.location || ''}</div>
    </div>
  </div>
  <div class="content">
    ${content}
  </div>
  <pre class="metadata-raw">
${JSON.stringify(data, null, '  ')}
  </pre>
  <div class="footer">
    <a class="feed-link" href="../feed.xml">Atom feed</a>
  </div>
</body>
`

return page
}
