const RSS = require('rss')

const defaultFeedData = {
  title: 'Journal feed',
  feed_url: '//tilde.club/~mycrobe/journal/feed.xml',
  site_url: '//tilde.club/~mycrobe/journal',
  categories: [],
  pubDate: new Date().toUTCString(),
}

module.exports = (links, tags, feedData) => {
  const feedOptions = {...defaultFeedData, ...feedData, categories: tags}
  const feed = new RSS(feedOptions)
  links.forEach(link => {
    const itemOptions = {
      title: link.title,
      description: link.html,
      url: feedOptions.site_url + '/' + link.relativeUrl,
      guid: link.dir,
      categories: link.tags,
      date: link.data.dateTime.toISO(),
    }

    feed.item(itemOptions)
  })

  return feed.xml({indent: '  '})
}
